% CoMa2 - SS11
% Aufg.4.3 1.
function [S,ausw] = inttrapez(n)
% berechnet ein bestimmtes Integral numerisch mit der Trapezregel

% Inputs: Anzahl (n+1) der Sttzstellen

% Outputs: Approximation S fr den Wert des Integrals, ausw ist die Anzahl
% der Auswertungen des Integranden

% wir integrieren auf [0,1] ...
f = @(x) 1 + 2*x + 3*x.^2 + 4*x.^3 + 5*x.^4;

% quidistante Sttzstellen auf [0,1]
x = 0:1/n:1;

S = 0.5*f(x(1)) * (x(2) - x(1));
for i=2:n
    S = S + f(x(i))*(x(i+1)-x(i));
end
S = S + 0.5*f(x(n+1))*(x(n+1)-x(n));

% insgesamt haben wir an f-Auswertungen...
% ausw = 1 + n-1 + 1; aha...
ausw = n+1;